List dataset items
curl --request GET \
--url https://api.zespan.com/v1/datasets/{datasetId}/items \
--header 'x-api-key: <api-key>'import requests
url = "https://api.zespan.com/v1/datasets/{datasetId}/items"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.zespan.com/v1/datasets/{datasetId}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"datasetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"input": "<unknown>",
"expectedOutput": "<unknown>",
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": "Unauthorized",
"code": "rate_limit_exceeded"
}{
"error": "Unauthorized",
"code": "rate_limit_exceeded"
}List dataset items
List the items in a dataset (up to 1000), oldest first.
GET
/
v1
/
datasets
/
{datasetId}
/
items
List dataset items
Authorizations
Project API key. Manage keys in the Zespan dashboard under project settings.
Path Parameters
Dataset id.
Query Parameters
Project id. Optional and ignored when authenticating with an API key, since the key already scopes the request to one project.
Response
The dataset's items.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

